curl --request PATCH \
--url https://app.orgo.space/api/v1/posts/{id}/moderation/reject \
--header 'Api-Token: <api-key>' \
--header 'Content-Type: application/merge-patch+json' \
--data @- <<EOF
{
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
EOFimport requests
url = "https://app.orgo.space/api/v1/posts/{id}/moderation/reject"
payload = {
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Token': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({
content: '<p>Hello {{firstName}},</p><p>You\'re invited.</p>',
embedOpenGraph: '/api/v1/linters/1',
task: '/api/v1/tasks/1'
})
};
fetch('https://app.orgo.space/api/v1/posts/{id}/moderation/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/posts/{id}/moderation/reject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<p>Hello {{firstName}},</p><p>You\'re invited.</p>',
'embedOpenGraph' => '/api/v1/linters/1',
'task' => '/api/v1/tasks/1'
]),
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>",
"Content-Type: application/merge-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/posts/{id}/moderation/reject"
payload := strings.NewReader("{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/merge-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.orgo.space/api/v1/posts/{id}/moderation/reject")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/merge-patch+json")
.body("{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/posts/{id}/moderation/reject")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/merge-patch+json'
request.body = "{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}"
response = http.request(request)
puts response.read_body{
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
{
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
}
],
"contactMentions": [
{
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
}
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
{
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"type": "MEMBER",
"mimeType": "application/pdf",
"originalName": "Boston Chapter"
}
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"task": "/api/v1/tasks/1",
"event": "/api/v1/events/1",
"eventFeedCategory": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"pinnedAt": "2026-01-15T10:30:00+00:00",
"moderationFlaggedWords": [
"string"
],
"moderationAiCategory": "GENERAL",
"moderationAiExplanation": "string",
"moderationAiScore": 42,
"moderationReviewedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"moderationReviewedAt": "2026-01-15T10:30:00+00:00",
"moderationRejectReason": "Looking to contribute to local civic projects.",
"moderationGroupName": "Boston Chapter",
"moderationGroupUnit": [
"string"
],
"moderationDiscussion": [
"string"
],
"parentId": 42
}Reject a held post
Marks a held post as rejected (moderationStatus=rejected), records the reviewer, review time, and an optional rejection reason from the request body (). Requires COMMUNICATION_LOCAL on the post discussion.
curl --request PATCH \
--url https://app.orgo.space/api/v1/posts/{id}/moderation/reject \
--header 'Api-Token: <api-key>' \
--header 'Content-Type: application/merge-patch+json' \
--data @- <<EOF
{
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
EOFimport requests
url = "https://app.orgo.space/api/v1/posts/{id}/moderation/reject"
payload = {
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"embedOpenGraph": "/api/v1/linters/1",
"task": "/api/v1/tasks/1"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/merge-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Token': '<api-key>', 'Content-Type': 'application/merge-patch+json'},
body: JSON.stringify({
content: '<p>Hello {{firstName}},</p><p>You\'re invited.</p>',
embedOpenGraph: '/api/v1/linters/1',
task: '/api/v1/tasks/1'
})
};
fetch('https://app.orgo.space/api/v1/posts/{id}/moderation/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.orgo.space/api/v1/posts/{id}/moderation/reject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'content' => '<p>Hello {{firstName}},</p><p>You\'re invited.</p>',
'embedOpenGraph' => '/api/v1/linters/1',
'task' => '/api/v1/tasks/1'
]),
CURLOPT_HTTPHEADER => [
"Api-Token: <api-key>",
"Content-Type: application/merge-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/posts/{id}/moderation/reject"
payload := strings.NewReader("{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/merge-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.orgo.space/api/v1/posts/{id}/moderation/reject")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/merge-patch+json")
.body("{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/posts/{id}/moderation/reject")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/merge-patch+json'
request.body = "{\n \"content\": \"<p>Hello {{firstName}},</p><p>You're invited.</p>\",\n \"embedOpenGraph\": \"/api/v1/linters/1\",\n \"task\": \"/api/v1/tasks/1\"\n}"
response = http.request(request)
puts response.read_body{
"id": 42,
"owner": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"ownerContact": {
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
},
"childrenCount": 12,
"dateCreated": "2026-01-15T10:30:00+00:00",
"mentions": [
{
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
}
],
"contactMentions": [
{
"id": 42,
"name": "Boston Chapter",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"fullName": "James Patterson",
"firstName": "James",
"lastName": "Patterson"
}
],
"content": "<p>Hello {{firstName}},</p><p>You're invited.</p>",
"reactionData": [
"string"
],
"myReactions": [
"string"
],
"embedOpenGraph": {
"id": 42,
"url": "https://civic-collective.example.com/agm",
"openGraph": [
"string"
]
},
"medias": [
{
"id": 42,
"entityId": 42,
"contentUrl": "https://civic-collective.example.com",
"type": "MEMBER",
"mimeType": "application/pdf",
"originalName": "Boston Chapter"
}
],
"isDeleted": false,
"moderated": "/api/v1/logs/1",
"moderationStatus": "ACTIVE",
"task": "/api/v1/tasks/1",
"event": "/api/v1/events/1",
"eventFeedCategory": {
"id": 42,
"name": "Boston Chapter",
"color": "#16A34A"
},
"pinnedAt": "2026-01-15T10:30:00+00:00",
"moderationFlaggedWords": [
"string"
],
"moderationAiCategory": "GENERAL",
"moderationAiExplanation": "string",
"moderationAiScore": 42,
"moderationReviewedBy": {
"id": 42,
"firstName": "James",
"lastName": "Patterson",
"fullName": "James Patterson",
"logo": "https://cdn.orgo.space/tenants/acme/logo.png",
"isBlockProtected": true
},
"moderationReviewedAt": "2026-01-15T10:30:00+00:00",
"moderationRejectReason": "Looking to contribute to local civic projects.",
"moderationGroupName": "Boston Chapter",
"moderationGroupUnit": [
"string"
],
"moderationDiscussion": [
"string"
],
"parentId": 42
}Authorizations
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Path Parameters
Post identifier
Body
The updated Post resource
Response
Post resource updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"/api/v1/logs/1"
"/api/v1/tasks/1"
"/api/v1/events/1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes

